<% local view, viewlibrary, page_info, session = ... %>
<% htmlviewfunctions = require("htmlviewfunctions") %>
<% html = require("acf.html") %>

<script type="text/javascript">
        if (typeof jQuery == 'undefined') {
                document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery-latest.js"><\/script>');
        }
</script>

<script type="text/javascript">
	if (typeof $.tablesorter == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery.tablesorter.js"><\/script>');
	}
</script>

<script type="text/javascript">
	$(document).ready(function() {
		$("#list").tablesorter({widgets: ['zebra']});
	});
</script>

<% htmlviewfunctions.displaycommandresults({"edit", "startstop"}, session) %>

<h1><%= html.html_escape(view.label) %></h1>
<table id="list" class="tablesorter"><thead>
<tr>
<% if viewlibrary.check_permission("edit") then %>
<th>Action</th>
<% end %>
<th>Service Name</th>
<th>Status</th>
<th>Runlevels</th>
<th>Description</th>
</tr>
</thead><tbody>
<%
for i,item in ipairs(view.value) do %>
	<tr>
	<% if viewlibrary.check_permission("edit") then %>
	<td><%= html.link{value="edit?servicename="..item.servicename.."&redir="..page_info.orig_action, label="Edit " } %>
	<% end %>
	<% if viewlibrary.check_permission("startstop") and item.actions then
		for i,a in ipairs(item.actions) do
			print(html.link{value="startstop?servicename="..item.servicename.."&redir=status&submit=true&action="..a, label=a:gsub("^%l", string.upper).." " })
		end
	end %>
	<td><%= html.html_escape(item.servicename) %></td>
	<td><%= html.html_escape(item.status) %></td>
	<td><%= html.html_escape(table.concat(item.runlevels, ", ")) %>&nbsp;</td>
	<td><%= html.html_escape(item.description) %></td>
	</tr>
<% end %>
</tbody></table>
